API referenceOperations
List session activity
GET
/v1/sessions/{session_id}/activityReturns session events and checkpoint, rewind, and fork outcomes.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
session_id*string
Match
^sess_[0-9a-f]{16}([0-9a-f]{16})?$Query Parameters
limit?integer
Maximum items to return. Defaults to 50.
Range
1 <= value <= 100Default
50cursor?string
Opaque signed cursor returned by the preceding page. It is scoped to the authenticated project, collection, session, filters, and order.
Length
length <= 2048Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{ "items": [ { "id": "string", "kind": "session_created", "created_at": "2019-08-24T14:15:22Z", "operation_id": "string", "operation": "checkpoint", "status": "pending", "checkpoint_id": "string", "completed_at": "2019-08-24T14:15:22Z", "error_code": "string", "fork_children": [ { "session_id": "string", "checkpoint_id": "string", "ordinal": 0 } ] } ], "next_cursor": "string"}